Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.wtc.gwt
Class WTCMBeanObject

    java.lang.Object
      weblogic.wtc.gwt.WTCMBeanObject

All Implemented Interfaces:
  Serializable

public class WTCMBeanObject
extends Object
implements Serializable

See Also:
  Serialized Form

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected ReentrantReadWriteLock` | `myLock`
`protected Lock` | `r`
`protected Lock` | `w`
`static int` | `WTC_MB_STATE_ACTIVATED`
`static int` | `WTC_MB_STATE_DEACTIVATED`
`static int` | `WTC_MB_STATE_NEW`
`static int` | `WTC_MB_STATE_PREPARED`
`static int` | `WTC_MB_STATE_SUSPENDED`

Constructor Summary
`WTCMBeanObject()`

Method Summary
`void` | `activateObject()`
`void` | `deactivateObject()`
`boolean` | `isObjectActivated()`
`boolean` | `isObjectDeactivated()`
`boolean` | `isObjectPrepared()`
`boolean` | `isObjectSuspended()`
`void` | `prepareObject()`
`void` | `suspendObject()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myLock

    protected ReentrantReadWriteLock myLock

### r

    protected Lock r

### w

    protected Lock w

### WTC_MB_STATE_ACTIVATED

    public static final int WTC_MB_STATE_ACTIVATED

See Also:
  Constant Field Values

### WTC_MB_STATE_DEACTIVATED

    public static final int WTC_MB_STATE_DEACTIVATED

See Also:
  Constant Field Values

### WTC_MB_STATE_NEW

    public static final int WTC_MB_STATE_NEW

See Also:
  Constant Field Values

### WTC_MB_STATE_PREPARED

    public static final int WTC_MB_STATE_PREPARED

See Also:
  Constant Field Values

### WTC_MB_STATE_SUSPENDED

    public static final int WTC_MB_STATE_SUSPENDED

See Also:
  Constant Field Values

Constructor Detail

### WTCMBeanObject

    public WTCMBeanObject()

Method Detail

### activateObject

    public void activateObject()

### deactivateObject

    public void deactivateObject()

### isObjectActivated

    public boolean isObjectActivated()

### isObjectDeactivated

    public boolean isObjectDeactivated()

### isObjectPrepared

    public boolean isObjectPrepared()

### isObjectSuspended

    public boolean isObjectSuspended()

### prepareObject

    public void prepareObject()

### suspendObject

    public void suspendObject()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD